package main

import (
	"gogs.carducci-dante.gov.it/karmen/core/config"
	"gogs.carducci-dante.gov.it/karmen/core/generator/generators/list"
)

type Config struct {
	config.ConfigT

	DocumentName string `yaml:"document_name"`
}

func main() {
	conf := new(Config)

	err := config.ReadFile("config.yaml", &conf.ConfigT)
	if err != nil {
		panic(err)
	}
	gen := list.NewListGenerator(&conf.ConfigT)
	gen.Run()
}
